Subject: Re: patch text mode problem with latest CVS source
From: Jason Tishler <[email-masked]>
To: [email-masked]
Date: Fri, 3 Nov 2000 09:08:57 -0500

On Thu, Nov 02, 2000 at 05:14:51PM -0500, Christopher Faylor wrote:
> It seems to be controlled by the value of your "TMP" (or possibly
> "TEMP") environment variable.  If that is set to a directory that is
> mounted as text, then the resulting file has \r\n line endings.

Diff-ing cygcheck outputs between 1.1.4 and 1.1.5-3, I determined
exactly what is the root cause.  I had my TMP variable set as follows:

    export TMP=$SYSTEMDRIVE\\tmp

just in case some Windows programs were using this variable.  In 1.1.4,
the TMP (and TEMP) environment variable was automagically converted
into a POSIX style path, while in 1.1.5-3 it remained unchanged.  Hence,
I was bitten by the unmounted drives defaulting to text mode feature.

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]